SwiftSharedLibrary (Gradle API 8.11)

Package org.gradle.language.swift

## Interface SwiftSharedLibrary

- All Superinterfaces:
    `ComponentWithDependencies`, `ComponentWithLinkFile`, `ComponentWithLinkUsage`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `ComponentWithOutputs`, `ComponentWithRuntimeFile`, `ComponentWithRuntimeUsage`, `ComponentWithSharedLibrary`, `Named`, `SoftwareComponent`, `SwiftBinary`

      public interface SwiftSharedLibrary
      extends SwiftBinary, ComponentWithSharedLibrary, ComponentWithRuntimeUsage, ComponentWithLinkUsage, ComponentWithOutputs

  A shared library built from Swift source.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkFile

      `getLinkFile, getLinkFileProducer`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkUsage

      `getLinkElements`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.language.ComponentWithOutputs

      `getOutputs`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeFile

      `getRuntimeFile`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeUsage

      `getRuntimeElements`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithSharedLibrary

      `getLinkLibraries, getLinkTask`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileModules, getCompileTask, getLinkLibraries, getModule, getModuleFile, getRuntimeLibraries, getSwiftSource, getTargetPlatform, isTestable`